<?php

require_once "../../../app/model/db.class.php";

if ($_POST['accion']=='mostrar_tabla'){


    $sql=$_REQUEST['cadena'];
    $sql=stripslashes($sql); //Quita los Backslash de la cadena

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta($sql);


    $cadena="<center><br><table border='0' cellspacing='3' cellpadding='2' class='t_info' style='font-size:14px'>";
    $cadena.="<tr >";
    $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; No. &nbsp;</td>";
    $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; C&Oacute;DIGO &nbsp;</td>";
    $cadena.="<td style='font-size: 12px;text-align:center;font-weight:bold'>&nbsp; NOMBRES &nbsp;</th>";
    
        $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; GRADO &nbsp;</td>";
        $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; CURSO &nbsp;</td>";
        $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; ESTADO &nbsp;</td>";
    

    $cadena.="</tr>";

    if($obj->numero_de_filas($resultado)!=0){

      while ( $tsArray = $obj->fetch_assoc($resultado) ){
            $data[] = $tsArray;
      }

      for($i=0;$i<count($data);$i++){

        $nombres=$data[$i]['p_apellido']." ".$data[$i]['s_apellido']." ".$data[$i]['p_nombre']." ".$data[$i]['s_nombre'];

        $cadena.="<tr>";
        $cadena.="<td align='center'>".($i+1)."</td>";
        $cadena.="<td align='center'>".$data[$i]['codigo']."</td>";
        $cadena.="<td style='font-size: 12px'>".($nombres)."</td>";
               
        $cadena.="<td align='center'>".$data[$i]['grado']."</td>";
        $cadena.="<td align='center'>".$data[$i]['curso']."</td>";                          
        $cadena.="<td align='center'>".$data[$i]['estado']."</td>";

        $cadena.="</tr>";
    }
    }else{
         $cadena.="<tr><td colspan='8' align='center'>Registro No Encontrado</td></tr>";
    }
    $cadena.="</table>";

    $cadena.="</center>";
    
    echo $cadena;
   //   echo $sql;
    
}
//------------------------------------------------------------------------------

if ($_POST['accion']=='actualizar_curso_alumno'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $codigo=$_REQUEST['codigo'];
    $estado_obser=$_REQUEST['estado_obser'];
    
    if($estado_obser==0){
       $curso=$_REQUEST['curso'];
       $aprobado=$_REQUEST['aprobado'];
       $estado=$_REQUEST['estado'];
       
       $obj->consulta("update matriculas set curso='".$curso."',promovido='".$aprobado."',estado='".$estado."' where codigo='".$codigo."'");
     
       
    }
    else{
        $observacion=$_REQUEST['observacion'];
        $obj->consulta("update matriculas set observacion='".$observacion."' where codigo='".$codigo."'");
             
        }

     echo "ALUMNO ACTUALIZADO";

     $obj->disconnect();

}

//------------------------------------------------------------------------------

if ($_POST['accion']=='eliminar_alumno'){

    $codigo=$_REQUEST['codigo'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    $resultado=$obj->consulta("select * from boletin");

    $n=$obj->numero_de_filas($resultado);

    if ($n>=1){

       echo "NO SE PUEDE ELIMINAR ALUMNO";
    }
    else{

     $obj->consulta("DELETE FROM matriculas WHERE codigo='".$codigo."'");
     echo "ALUMNO ELIMINADO";

    }

     $obj->disconnect();

}


?>
